Page MenuHomePhabricator

[clangd] Update features table in the docs with links to LSP extension proposals
ClosedPublic

Authored by nridge on Jul 27 2019, 6:52 PM.

Event Timeline

nridge created this revision.Jul 27 2019, 6:52 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 27 2019, 6:52 PM
nridge marked an inline comment as done.Jul 27 2019, 6:55 PM
nridge added inline comments.
clang-tools-extra/docs/clangd/Features.rst
216–217 ↗(On Diff #215815)

Note, I changed "Organize Includes" to "Yes" because it doesn't need a new protocol: it's meant to use textDocument/codeAction (there's even a CodeActionKind for it, source.organizeImports).

Review ping :)

ilya-biryukov added inline comments.Aug 12 2019, 1:23 AM
clang-tools-extra/docs/clangd/Features.rst
216–217 ↗(On Diff #215815)

Could you mention that semantic coloring is implemented in clangd? (with a footnote that it only works in Theia atm)

219 ↗(On Diff #215815)

Having the same marker for three links makes is hard to read. WDYT about using the footnote syntax here?

Proposed [1]_
Proposed [2]_


.. [1] https://github.com/microsoft/language-server-protocol/issues/468
.. [2] https://github.com/microsoft/language-server-protocol/issues/136

Just a suggestion, not sure which of the two versions renders nicer.

sammccall accepted this revision.Aug 12 2019, 5:38 AM

Sorry, I had marked this as "accepted", but not hit send. I agree with Ilya's comments, but please go ahead and land this when ready.

(I wish Phabricator didn't say "sammccall accepted this revision" when it's not true - I even went back to check that I'd accepted it)

This revision is now accepted and ready to land.Aug 12 2019, 5:38 AM
nridge updated this revision to Diff 215815.Aug 18 2019, 10:04 PM

Address review comments

nridge marked 2 inline comments as done.Aug 18 2019, 10:09 PM
nridge added inline comments.
clang-tools-extra/docs/clangd/Features.rst
216–217 ↗(On Diff #215815)

Updated. I didn't add a footnote, because it doesn't seem any different than e.g. type hierarchy which I think is also only supported by Theia at the moment -- clangd implements the extension as proposed, and it will work with any client that does as well.

nridge edited the summary of this revision. (Show Details)Aug 18 2019, 10:09 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptAug 18 2019, 10:10 PM